stages:
  - test
  - deploy
image: 
  name: alpine/helm
  entrypoint: ["/bin/sh", "-c"]

lint:
  stage: test
  script:
    - helm lint charts/*
    # - helm lint charts/*/charts/* 
  only:
    changes:
      - charts/**/*
pages:
  stage: deploy
  script:
    - mkdir -p ./public
    - "echo \"User-Agent: *\nDisallow: /\" > ./public/robots.txt"
    - (cd public && wget https://charts.skimia.cloud/index.yaml && yq -r '.entries| to_entries|.[].value.[].urls.[]' index.yaml | awk '{print "wget "$1}' | bash)
    - helm package charts/* --destination ./public
    - helm repo index --url https://charts.skimia.cloud ./public
  artifacts:
    paths:
      - public
  only:
    - main